<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
    <title>Bootstrap Intro and Simple Styling</title>
    <link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/bootstrap@4.6.0/dist/css/bootstrap.min.css"
        integrity="sha384-B0vP5xmATw1+K9KRQjQERJvTumQW0nPEzvF6L/Z6nronJ3oUOFUFpCjEUQouq2+l" crossorigin="anonymous">

</head>

<body style="background-color: gray;">

    <div class="container">
        <h1>Bootstrap Introduction & Simple Styles</h1>
        <table class="table table-dark table-striped">
            <thead>
                <th>Entity</th>
                <th>Description</th>
            </thead>
            <tbody>
                <tr>
                    <td>&lt;</td>
                    <td>less than</td>
                </tr>
                <tr>
                    <td>&gt;</td>
                    <td>greater than</td>
                </tr>
                <tr>
                    <td>&#8369;</td>
                    <td>peso sign</td>
                </tr>
                <tr>
                    <td>&quot;</td>
                    <td>double quotation mark</td>
                </tr>
                <tr>
                    <td>&apos;</td>
                    <td>single quotation mark</td>
                </tr>
                <tr>
                    <td>&amp;</td>
                    <td>ampersand</td>
                </tr>
                <tr>
                    <td>&ntilde;</td>
                    <td>lower tilde</td>
                </tr>
                <tr>
                    <td>&Ntilde;</td>
                    <td>upper tilde</td>
                </tr>
            </tbody>
        </table>
    </div>

    <h1>Link Colors</h1>
    <li>
        <a href="#" class="text-primary">link</a>
    </li>
    <li><a href="#" class="text-secondary">link</a></li>

    <h1>Background Color</h1>
    <p class="p-3 bg-primary text-white">background</p>
    <p class="bg-secondary text-white">background</p>

    <p class="text-lowercase">Lowercased text.</p>
    <p class="text-uppercase">Uppercased text.</p>
    <p class="text-capitalize">capiTaliZed text.</p>

    <h1>Font Weight and Italics</h1>
    <p class="font-weight-bold">Bold</p>
    <p class="font-weight-normal">Normal Weight of Text</p>
    <p class="font-weight-light">Light Weight of Text</p>
    <p class="font-italic">Italic Text</p>

    <h1>Text Alignment</h1>
    <p class="text-left">left aligned on all viewport sizes</p>
    <p class="text-right">right aligned on all viewport sizes</p>
    <p class="text-center">center aligned on all viewport sizes</p>
    <span class="text-center">align this element to the center</span>
    <section class="text-center">Align this section to the center</section>

    <!-- text center vs text justify -->

    <p class="text-center px-4">Lorem ipsum dolor sit amet consectetur, adipisicing elit. Minima porro amet impedit repudiandae vero, cupiditate necessitatibus sequi blanditiis laboriosam odio delectus consequuntur facere nobis distinctio quasi laborum. Iste ea reiciendis repudiandae, nam voluptate qui esse eligendi, odit assumenda dolores est quia eius et animi soluta libero consequuntur voluptatum distinctio modi cumque omnis provident sequi veniam facilis! A soluta id architecto fugiat, quo corrupti molestiae, voluptas, ipsam fugit minus omnis qui labore nesciunt est atque sed! Aperiam aut quae ut laudantium dicta expedita, iste nostrum cum sapiente, quod consectetur hic asperiores est culpa ducimus cupiditate? Vero reprehenderit laudantium molestiae dolorum nostrum!</p>
    <p class="text-justify px-4">Lorem ipsum, dolor sit amet consectetur adipisicing elit. Laborum deleniti impedit officia dolorem nemo adipisci unde repudiandae tempore voluptatum quibusdam quidem natus distinctio, possimus aperiam nostrum nesciunt. Nulla eligendi saepe aliquid officiis obcaecati accusantium fugit reprehenderit delectus magnam fuga nisi nam numquam, voluptatum sequi velit voluptatibus in id veniam. Odio enim veritatis ea libero iste ab beatae, et id consectetur laborum tempore culpa quas, alias voluptatum ipsam nulla perferendis sint. Ipsa dolore quisquam eius doloribus necessitatibus tempore. Temporibus, doloremque libero. Dolorum molestiae excepturi quibusdam aperiam cupiditate adipisci, earum animi labore dignissimos qui modi illum quia, expedita porro fugit dolor repellat!</p>

    <div class="px-3">
        <h1>Borders</h1>
        <img src="https://via.placeholder.com/75x75" alt="" class="border">
        <img src="https://via.placeholder.com/75x75" alt="" class="border-top">
        <img src="https://via.placeholder.com/75x75" alt="" class="border-bottom">
        <img src="https://via.placeholder.com/75x75" alt="" class="border-left">
        <img src="https://via.placeholder.com/75x75" alt="" class="border-right">
    </div>


    <div class="px-3">
        <h1>Borders subtractions</h1>
        <img src="https://via.placeholder.com/75x75" alt="" class="border-0">
        <img src="https://via.placeholder.com/75x75" alt="" class="border border-top-0">
        <img src="https://via.placeholder.com/75x75" alt="" class="border border-bottom-0">
        <img src="https://via.placeholder.com/75x75" alt="" class="border border-right-0">
        <img src="https://via.placeholder.com/75x75" alt="" class="border border-left-0">
    </div>
    
    <div class="px-3">
        <h1>Borders</h1>
        <img src="https://via.placeholder.com/75x75" alt="" class="border border-primary">
        <img src="https://via.placeholder.com/75x75" alt="" class="border border-secondary">
        <img src="https://via.placeholder.com/75x75" alt="" class="border border-success">
        <img src="https://via.placeholder.com/75x75" alt="" class="border border-warning">
        <img src="https://via.placeholder.com/75x75" alt="" class="border border-info">
        <img src="https://via.placeholder.com/75x75" alt="" class="border border-dark">
        <img src="https://via.placeholder.com/75x75" alt="" class="border border-light">
    </div>

    <!-- border radius -->

    <div class="px-3">
        <h1>Border Radius</h1>
        <img src="https://via.placeholder.com/75x75" alt="" class="rounded">
        <img src="https://via.placeholder.com/75x75" alt="" class="rounded-top">
        <img src="https://via.placeholder.com/75x75" alt="" class="rounded-bottom">
        <img src="https://via.placeholder.com/75x75" alt="" class="rounded-circle">
        <img src="https://via.placeholder.com/75x75" alt="" class="">
        <img src="https://via.placeholder.com/75x75" alt="" class="">
    </div>


    <!-- Display -->

    <h1>Display</h1>
    <div class="d-inline bg-primary text-white">inline element</div>
    <span class="d-block bg-success text-danger">block element</span>
    <span class="d-inline-block bg-info m-5">inline-block element</span>

    <!-- Sizing: Width -->

    <h1>sizing: width</h1>
    <div class="w-25 bg-info">25%</div>
    <div class="w-50 bg-primary">50%</div>
    <div class="w-75 bg-danger">75%</div>
    <div class="w-100 bg-warning">100%</div>
    <div class="w-auto bg-dark">auto</div>

    <h1>sizing: width</h1>
    <div style="width:600px" class="bg-succes">
        <div class="w-25 bg-info">25%</div>
        <div class="w-50 bg-primary">50%</div>
        <div class="w-75 bg-danger">75%</div>
        <div class="w-100 bg-warning">100%</div>
        <div class="w-auto bg-dark">auto</div>
    </div>


    <h1>sizing: height</h1>
    <div style="height:100px" class="bg-success container-fluid">
        <span class="h-25 bg-info d-inline-block px-5">25%</span>
        <span class="h-50 bg-primary d-inline-block px-5">50%</span>
        <span class="h-75 bg-danger d-inline-block px-5">75%</span>
        <span class="h-100 bg-warning d-inline-block px-5">100%</span>
        <span class="h-auto bg-dark d-inline-block px-5">auto</span>
    </div>

    <!-- Responsive Image -->
    <div>
        <img src="aespa-11.jpeg" alt="" class="img-fluid img-thumbnail d-block mx-auto rounded-circle h-50 w-50">
    </div>

    <div style="margin-top: 100px;"></div>

    <script src="https://code.jquery.com/jquery-3.5.1.slim.min.js"
        integrity="sha384-DfXdz2htPH0lsSSs5nCTpuj/zy4C+OGpamoFVy38MVBnE+IbbVYUew+OrCXaRkfj"
        crossorigin="anonymous"></script>
    <script src="https://cdn.jsdelivr.net/npm/bootstrap@4.6.0/dist/js/bootstrap.bundle.min.js"
        integrity="sha384-Piv4xVNRyMGpqkS2by6br4gNJ7DXjqk09RmUpJ8jgGtD7zP9yug3goQfGII0yAns"
        crossorigin="anonymous"></script>
</body>

</html>